Subject: bug#56683: 29.0.50; long lines fix doesn't work correctly when lines are truncated

From: Gregory Heytings <[email-masked]>
Date: Thu, 21 Jul 2022 20:52:44 +0000

Thanks for your comments.

>> They do work with truncated lines, but I suspect that truncated lines 
>> require specific fixes to work efficiently.
>
> Thanks!  I've asked because It's important to me that Emacs is 
> responsive if I open a log file with really long lines. Truncated lines 
> make such logs much easier to read, as I can compare lines above and 
> below the very long one, without scrolling.
>

How long is a "really long line" in a log file?  Do you think 1000 or 
10000 characters is a reasonable upper limit for your use case?